curl --request POST \
--url 'https://api.stateset.com/api/v1/receipts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"carrier": null,
"created_by": null,
"expected_date": null,
"items": [
{
"description": null,
"expected_quantity": "string",
"lot_number": null,
"notes": null,
"po_line_id": null,
"sku": "string",
"unit_cost": null
}
],
"notes": null,
"receipt_type": null,
"reference_id": null,
"reference_type": null,
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}'
{
"carrier": null,
"created_at": "string",
"expected_quantity": "string",
"id": "string",
"put_away_quantity": "string",
"receipt_number": "string",
"receipt_type": "string",
"received_quantity": "string",
"status": "string",
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}
Create a receipt
Create a receipt
POST
/
api
/
v1
/
receipts
curl --request POST \
--url 'https://api.stateset.com/api/v1/receipts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"carrier": null,
"created_by": null,
"expected_date": null,
"items": [
{
"description": null,
"expected_quantity": "string",
"lot_number": null,
"notes": null,
"po_line_id": null,
"sku": "string",
"unit_cost": null
}
],
"notes": null,
"receipt_type": null,
"reference_id": null,
"reference_type": null,
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}'
{
"carrier": null,
"created_at": "string",
"expected_quantity": "string",
"id": "string",
"put_away_quantity": "string",
"receipt_number": "string",
"receipt_type": "string",
"received_quantity": "string",
"status": "string",
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}
Request body
CreateReceiptRequest
string,null
string,null
string,null
RFC 3339 timestamp.
CreateReceiptItemRequest[]
required
string,null
string,null
One of
purchase_order, transfer, return, adjustment, production, other.string,null
string,null
string,null
string,null
integer (int32)
required
Responses
ReceiptResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/receipts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"carrier": null,
"created_by": null,
"expected_date": null,
"items": [
{
"description": null,
"expected_quantity": "string",
"lot_number": null,
"notes": null,
"po_line_id": null,
"sku": "string",
"unit_cost": null
}
],
"notes": null,
"receipt_type": null,
"reference_id": null,
"reference_type": null,
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}'
{
"carrier": null,
"created_at": "string",
"expected_quantity": "string",
"id": "string",
"put_away_quantity": "string",
"receipt_number": "string",
"receipt_type": "string",
"received_quantity": "string",
"status": "string",
"supplier_id": null,
"tracking_number": null,
"warehouse_id": 1
}
โI